---
title: WindowOrWorkerGlobalScope.isSecureContext
slug: Web/API/WindowOrWorkerGlobalScope/isSecureContext
tags:
  - API
  - HTML DOM
  - Property
  - Reference
  - Web
  - WindowOrWorkerGlobalContext
  - Workers
  - isSecureContext
---
<p>{{APIRef}}{{SeeCompatTable}}</p>

<p>The <code><strong>isSecureContext</strong></code> read-only property of the {{domxref("WindowOrWorkerGlobalScope")}} interface returns a boolean indicating whether the current <a href="/en-US/docs/Web/Security/Secure_Contexts">context is secure</a> (<code>true</code>) or not (<code>false</code>).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isItSecure</em> = self.isSecureContext; // or just isSecureContext
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Secure Contexts', '#dom-windoworworkerglobalscope-issecurecontext', 'WindowOrWorkerGlobalScope.isSecureContext')}}</td>
   <td>{{Spec2('Secure Contexts')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WindowOrWorkerGlobalScope.isSecureContext")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Security/Secure_Contexts">Secure contexts</a></li>
</ul>
